SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
peerinterface.h File Reference

An interface for RakPeer. Simply contains all user functions as pure virtuals. More...

`#include "PacketPriority.h"`
`#include "types.h"`
`#include "memoryoverride.h"`
`#include "Export.h"`
`#include "DS_List.h"`
`#include "smartptr.h"`
`#include "socket2.h"`

Go to the source code of this file.

## Classes

class | SLNet::RakPeerInterface
| The main interface for network communications. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

An interface for RakPeer. Simply contains all user functions as pure virtuals.

Definition in file peerinterface.h.